<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">


    <ui:define name="contentPart">

        <style>
            .ui-tooltip-text{
                background-color: #459e00 !important;
            }
        </style>


        <h:form>
            <p:tabView id="tabview" 
                       activeIndex="#{subirArchivoMB.indexActivado}" 
                       dynamic="true" 
                       style="font-size: small;" >
                <p:ajax event="tabChange" listener="#{subirArchivoMB.onTabChange}" />

                <p:tab id="cmparchivos" title="Comparativos vs Archivos" rendered="#{subirArchivoMB.cabeceraNominaSelected.intIdEstatusNominaFk!=3?true:false}"> 

                    <h:form class="form" enctype="multipart/form-data">
                        <p:growl id="messages" showDetail="true" />

                        <div id="tipoComparacion">   
                            <h:panelGrid columns="2" columnClasses="centered5,centered6" style="margin-bottom:10px" cellpadding="5">
                                <p:column>
                                    <p:outputLabel value="Tipo de Operación: "
                                                   for="selecComparacion"
                                                   style="font-weight: bold"/>
                                </p:column>
                                <p:column>
                                    <p:selectOneMenu id="selecComparacion" 
                                                     value="#{subirArchivoMB.opcionConsulta}"
                                                     class="opcion"
                                                     required="true"
                                                     autoWidth="false"
                                                     requiredMessage="Debe seleccionar una opción"
                                                     style="min-width: 230px !important; "
                                                     >
                                        <f:selectItem itemLabel="Prestaciones" itemValue="1" />
                                        <f:selectItem itemLabel="Altas y movimientos de plazas" itemValue="2" />
                                        <f:selectItem itemLabel="Validación cuentas bancarias" itemValue="3" />
                                        <p:ajax event="change" 
                                                listener="#{subirArchivoMB.validaExtCargar()}" 
                                                process="@(.opcion)"
                                                update="@(.upload)" />
                                    </p:selectOneMenu>
                                </p:column>
                                <p:column>
                                    <p:outputLabel value="Seleccionar quincena: "
                                                   for="idlstQuincenas"
                                                   style="font-weight: bold"/>
                                </p:column>
                                <p:column>
                                    <p:selectOneMenu id="idlstQuincenas"
                                                     requiredMessage="Seleccione una quincena"
                                                     required="true"
                                                     class="quincena"
                                                     autoWidth="false"
                                                     value="#{subirArchivoMB.idQuincena}"
                                                     style="min-width: 230px !important; "
                                                     >

                                        <f:selectItem itemLabel="Seleccionar Quincena"
                                                      noSelectionOption="true" />
                                        <f:selectItems value="#{subirArchivoMB.lstQuincenas}"
                                                       var="quincena"
                                                       itemLabel="#{quincena.strDescripcionQuin}"
                                                       itemValue="#{quincena.intIdQuincena}"
                                                       />

                                        <p:ajax event="change" 
                                                process="@(.quincena)"
                                                />               
                                    </p:selectOneMenu>
                                </p:column>
                            </h:panelGrid>
                        </div>

                        <div id="subirArchivo" class="subirArchivo">
                            <p:fileUpload 
                                mode="advanced"
                                auto="true"
                                id="archivo"
                                class="upload"
                                style="width: 50%; margin-top: 10px; margin-bottom: 10px;"
                                fileUploadListener="#{subirArchivoMB.handleFileUpload}"
                                label="Seleccionar Archivo"
                                update="@(.diferencias)"
                                invalidFileMessage="El archivo no es valido"
                                process="@(.form)"
                                allowTypes="#{subirArchivoMB.tipoArchivos}"

                                />
                        </div>
                    </h:form> 
                    <div id="table">
                        <p:dataTable id="Reporte" var="dif" 
                                     value="#{subirArchivoMB.diferencias}" 
                                     class="diferencias"
                                     paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {Exporters}"
                                     emptyMessage="No hay diferencias"
                                     paginator="true" 
                                     rows="5"  
                                     rowsPerPageTemplate="5,10,15"
                                     currentPageReportTemplate="Mostrando del {startRecord} al {endRecord} de {totalRecords}."
                                     paginatorPosition="bottom"
                                     tableStyle="width:auto; min-width:100%"
                                     >
                            <f:facet name="{Exporters}" >
                                <h:commandLink id="excel" style="text-align: right" 
                                               rendered="#{subirArchivoMB.diferencias != null}" >
                                    <p:tooltip id="toolTipFade" 
                                               for="excel" 
                                               value="Exportar a Excel" 
                                               position="top"
                                               trackMouse="true"
                                               />
                                    <p:graphicImage library="img"  value="../../../../resources/images/excel.png" />
                                    <p:dataExporter type="xls" target="Reporte" fileName="Reporte"
                                                    postProcessor="#{subirArchivoMB.formatearArchivo}" />
                                </h:commandLink>
                            </f:facet>
                            <p:columns value="#{subirArchivoMB.nomColumnas}" var="headers" 
                                       sortable="#{subirArchivoMB.diferencias != null}"
                                       sortBy="#{dif[headers]}"
                                       filterable="#{subirArchivoMB.diferencias != null}"
                                       filterBy="#{dif[headers]}"
                                       filterMatchMode="contains"
                                       >
                                <f:facet name="header"  >
                                    <h:outputText value="#{subirArchivoMB.diferencias != null ? fn:replace((fn:substring(headers,0,fn:length(headers)-4)),'_',' ') : 'Tabla de Validaciones' }"
                                                  style="font-size: small;"/>
                                </f:facet>
                                <h:outputText value="#{dif[headers]}"
                                              style="font-size: small;"/>
                            </p:columns>
                        </p:dataTable>
                    </div>
                </p:tab>

                <p:tab id="cmpquincenas" title="Validar Quincenas(ANT-ACT)" rendered="#{subirArchivoMB.cabeceraNominaSelected.intIdEstatusNominaFk!=3?true:false}" > 
                    <div id="tableQuincenas">
                        <p:dataTable id="DifQuincenas" var="dif" 
                                     value="#{subirArchivoMB.diferencias}" 
                                     class="cmpquincenas"
                                     paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {Exporters}"
                                     emptyMessage="No hay quincenas"
                                     paginator="true" 
                                     rows="5"  
                                     rowsPerPageTemplate="5,10,15"
                                     currentPageReportTemplate="Mostrando del {startRecord} al {endRecord} de {totalRecords}."
                                     paginatorPosition="bottom"
                                     tableStyle="width:auto; min-width:100%"
                                     >
                            <f:facet name="{Exporters}" >
                                <h:commandLink id="difexcel" style="text-align: right"
                                               rendered="#{subirArchivoMB.diferencias != null }"
                                               >
                                    <p:tooltip id="toolTipFade1" 
                                               for="difexcel" 
                                               value="Exportar a Excel" 
                                               position="top"
                                               trackMouse="true"
                                               />                                    
                                    <p:graphicImage library="img"  value="../../../../resources/images/excel.png" />
                                    <p:dataExporter type="xls" target="DifQuincenas" fileName="Reporte"
                                                    postProcessor="#{subirArchivoMB.formatearArchivo}" />
                                </h:commandLink>
                            </f:facet>
                            <p:columns value="#{subirArchivoMB.nomColumnas}" var="headers" 
                                       sortable="#{subirArchivoMB.diferencias != null}"
                                       sortBy="#{dif[headers]}"
                                       filterable="#{subirArchivoMB.diferencias != null}"
                                       filterBy="#{dif[headers]}"
                                       >
                                <f:facet name="header"  >
                                    <h:outputText value="#{fn:replace(headers,'_',' ')}"
                                                  style="font-size: small;"/>
                                </f:facet>
                                <h:outputText value="#{dif[headers]}"
                                              style="font-size: small;"/>
                            </p:columns>
                        </p:dataTable>
                    </div>

                </p:tab>
     
                <p:tab id="cmpImpNegativos" title="Netos negativos" rendered="#{subirArchivoMB.cabeceraNominaSelected.intIdEstatusNominaFk!=3?true:false}"> 
                     <div id="tableQuincenas">
                        <p:dataTable id="ImportesNeto" var="dif" 
                                     value="#{subirArchivoMB.diferencias}" 
                                     class="importesNeto"
                                     paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {Exporters}"
                                     emptyMessage="No hay netos negativos"
                                     paginator="true" 
                                     rows="5"  
                                     rowsPerPageTemplate="5,10,15"
                                     currentPageReportTemplate="Mostrando del {startRecord} al {endRecord} de {totalRecords}."
                                     paginatorPosition="bottom"
                                     tableStyle="width:auto; min-width:100%"
                                     >
                            <f:facet name="{Exporters}" >
                                <h:commandLink id="difexcel" style="text-align: right"
                                               rendered="#{subirArchivoMB.diferencias != null}" >
                                    <p:tooltip id="toolTipFade1" 
                                               for="difexcel" 
                                               value="Exportar a Excel" 
                                               position="top"
                                               trackMouse="true"
                                               />                                    
                                    <p:graphicImage library="img"  value="../../../../resources/images/excel.png" />
                                    <p:dataExporter type="xls" target="ImportesNeto" fileName="Reporte"
                                                    postProcessor="#{subirArchivoMB.formatearArchivo}" />
                                </h:commandLink>
                            </f:facet>
                            <p:columns value="#{subirArchivoMB.nomColumnas}" var="headers" 
                                       sortable="#{subirArchivoMB.diferencias != null}"
                                       sortBy="#{dif[headers]}"
                                       filterable="#{subirArchivoMB.diferencias != null}"
                                       filterBy="#{dif[headers]}"
                                       >
                                <f:facet name="header"  >
                                    <h:outputText value="#{fn:replace(headers,'_',' ')}"
                                                  style="font-size: small;"/>
                                </f:facet>
                                <h:outputText value="#{dif[headers]}"
                                              style="font-size: small;"/>
                            </p:columns>
                        </p:dataTable>
                    </div>
                </p:tab>
                        <p:tab id="empElim" title="Empleados Eliminados"> 
                    <div id="tableElimin">
                       <p:dataTable                 
                id="tableEmpleadosNominaPreparados"
                var="empleadosNominaPrepTable"                 
                paginator="true"                                         
                value="#{subirArchivoMB.lstEmpleadosPreparados}"
                rows="5"  
                rowKey="#{empleadosNominaPrepTable.intIdNomEmpPlaza}"
                
                paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                         
                scrollable="true" 
                scrollWidth="99%"                
                rowsPerPageTemplate="5,10,15"
                currentPageReportTemplate="Mostrando empleados de la nómina del {startRecord} al {endRecord} de {totalRecords}."
                paginatorPosition="bottom"                 
                emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                style="font-size: small;"                
                rowExpandMode="single">

                <p:ajax 
                    event="rowToggle" 
                    listener="#{subirArchivoMB.obtenerConceptosEmpleado(empleadosNominaPrepTable)}"/>                

                <p:ajax 
                    event="rowSelect" 
                    listener="#{subirArchivoMB.onRowSelect}"
                    update="tableEmpleadosNominaPreparados"/>                

                <f:facet name="header" >  
                    
                     <h:outputText 
                        value="Resultado de búsqueda: #{subirArchivoMB.intCantidadEmpleadosSeleccionados} Empleados"
                        style="display:inline; 
                        float:left; 
                        font-size:small;
                        font-weight: bolder"/>   

                    <div align="center"> 
                        <h:outputText
                            value="Empleados de la Nómina"
                            style="font-weight: bolder"/>                        
                    </div>                    
                </f:facet>

                       

                <p:column 
                    style="width:10%;
                    font-size:small; 
                    text-align:center"
                    headerText="#{translatedMessage['restricted.nomina.calculaNomina.detalleEmpleado']}">
                    <p:rowToggler/>     
                </p:column>                  

                <p:column 
                    headerText="#{translatedMessage['restricted.nomina.calculaNomina.movimientosEmpleado']}" 
                    rendered="#{subirArchivoMB.blVeDetalle}"
                    style="width:10%; 
                    font-size:small; 
                    text-align:center;">
                    <p:commandButton 
                        id="btnMovimientosEmpleado"                     
                        value="Ver" 
                        title="Movimientos Empleado"                                                                                                    
                        styleClass="botonpequeno"                                                                    
                        style="display:inline;                                                            
                        font-size:x-small;">
                        <p:ajax oncomplete="PF('dgMostrarMovEmpleado').show();"
                            listener="#{subirArchivoMB.consultaMovInstituto(empleadosNominaPrepTable)}" update="@(.frMovEmpleado)"/>
                    </p:commandButton>  
                </p:column>                

                <p:column 
                    headerText="#{translatedMessage['restricted.nomina.calculaNomina.numeroEmpleado']}"
                    style="width:10%; 
                    font-size:small; 
                    text-align:center">
                    <h:outputText 
                        value="#{empleadosNominaPrepTable.rhNomnEmpleadosTO.numeroEmpleado}" />
                </p:column>

                <p:column 
                    headerText="#{translatedMessage['restricted.nomina.calculaNomina.numeroPlaza']}"
                    style="width:10%; 
                    font-size:small; 
                    text-align:center">
                    <h:outputText 
                        value="#{empleadosNominaPrepTable.rhNomnEmpleadosTO.plazaTO.numeroPlaza}" />
                </p:column>                

                <p:column 
                    headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreEmpleado']}"
                    style="width:20%; 
                    font-size:small;">
                    <h:outputText 
                        value="#{empleadosNominaPrepTable.rhNomnEmpleadosTO.datosPersonalesTO.
                                 nombreCompleto}" />
                </p:column>

                <p:column 
                    headerText="#{translatedMessage['restricted.nomina.calculaNomina.tipNombramiento']}" 
                    style="width:10%; 
                    font-size:small; 
                    text-align:center">
                    <h:outputText 
                        value="#{empleadosNominaPrepTable.rhNomnEmpleadosTO.plazaTO.tipoNombramientoTO.
                                 descripcion}" />
                </p:column>

                <p:column 
                    headerText="#{translatedMessage['restricted.nomina.calculaNomina.unidadAdm']}" 
                    style="width:20%; 
                    font-size:smaller; 
                    text-align:center">
                    <h:outputText 
                        value="#{empleadosNominaPrepTable.rhNomnEmpleadosTO.plazaTO.
                                 rhNomnAdscripcionesTO.detalleunidadAdm.strDescripcionCompleta}" />
                </p:column> 
                
                <p:column 
                    headerText="Revertir Eliminación" 
                   
                    style="width:10%; 
                    font-size:small; 
                    text-align:center;">                   
                     
                      <p:commandButton  style="display:inline;                                                            
                        font-size:x-small;" styleClass="botonpequeno"
                        value="Revertir">
                          <p:ajax listener="#{subirArchivoMB.desEliminaEmpleado(empleadosNominaPrepTable)}"
                        update="@([id$=tableEmpleadosNominaPreparados])"/>
        <p:confirm header="Confirmación" message="Dese revertir la eliminación este empleado?" icon="ui-icon-alert" />
    </p:commandButton>
 
                     <p:confirmDialog appendTo="@(body)" global="true" showEffect="fade" hideEffect="fade">
        <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    </p:confirmDialog>
                </p:column> 
                
                
                 <p:rowExpansion>
                    <div
                        align="center"
                        >
                    
                        <table                                                
                            width="100%">
                        
                            <tr
                                align="center"
                                style=" border: hidden;">

                                <td align="center"
                                    width="100%"
                                    style=" border: hidden;">

                                    <p:commandButton 
                                        id="btnConNominaProvision"
                                        process="@form"
                                        value="Ver Conceptos Nómina / Provisión" 
                                        title="Ver Conceptos Nómina / Provisión" 
                                        style="font-size: 70%;                                        
                                        text-align:center;"                                    
                                        immediate="true"  
                                        onclick="cambiarConceptosVista();"
                                        ignoreAutoUpdate="true">
                                    </p:commandButton> 
                                </td>
                            </tr>

                            <tr
                                align="center"                            
                                style=" border: hidden;">

                                <td align="center"
                                    width="100%"
                                    style=" border: hidden;">

                                    <p:commandButton 
                                        id="btnConAguinaldo"
                                        value="Ver Aguinaldo" 
                                        title="Ver Aguinaldo"                                                                               
                                        style="font-size: 70%;                                        
                                        text-align:center;">
                                        <p:ajax listener="#{subirArchivoMB.consultaAguinaldos(empleadosNominaPrepTable)}"
                                                update="@(.dgAguinaldo)" oncomplete="PF('dgAguinaldo').show()"/>
                                    </p:commandButton> 
                                </td>
                            </tr>
                        </table>
                    </div>

                    <br/>
                    
                     <div
                        style="width: 100%;">
                        <table 
                            id="tablaNominas1">                            

                            <tr  
                                id="trConceptosNomina">
                                <td 
                                    width="50%">

                                    <p:dataTable 
                                        rowIndexVar="#{percepcionesNominaPrepTable.intIdConEmpEliminado}"
                                        widgetVar="tablePercepcionesNominaPreparados1"
                                        var="percepcionesNominaPrepTable"                                     
                                        paginator="true"                                                  
                                        value="#{subirArchivoMB.lstConptosEmpleElimPercepciones}"
                                        rows="5"
                                        paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                         
                                        scrollable="true" 
                                        scrollWidth="99%"                                    
                                        currentPageReportTemplate="Mostrando registro(s) del {startRecord} al {endRecord} de  {totalRecords} percepción(es) del empleado."
                                        paginatorPosition="bottom"  
                                        emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                                        style="width:150px; 
                                        font-size: small"
                                        rowExpandMode="single"
                                        sortBy="#{percepcionesNominaPrepTable.strAgrupadorPercepcion}">

                                        <f:facet name="header">
                                            Percepciones del empleado
                                        </f:facet>

                                        <p:ajax 
                                            event="rowToggle"                                                                                 
                                            listener="#{subirArchivoMB.mostrarXML(percepcionesNominaPrepTable)}" />                                    

                                        <p:column 
                                            style="width:10px;
                                            font-size:small; 
                                            text-align:center"
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.detalleArgumentos']}">
                                            <div                                            
                                                onclick="validarWidgetPercepciones1();"
                                                style="display: #{percepcionesNominaPrepTable.strVisualizarDetalle}" > 
                                                <p:rowToggler/>
                                            </div>
                                            
                                        </p:column>                                     

                                        <p:column 
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.claveConcepto']}"
                                            style="width:25%; 
                                            font-size:small; 
                                            text-align:center">
                                            <h:outputText 
                                                value="#{percepcionesNominaPrepTable.rhNomnConceptoTO.claveConcepto}" />
                                        </p:column>

                                        <p:column 
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreConcepto']}"
                                            style="width:40%;  
                                            font-size:small; 
                                            text-align:center">                                               
                                            <h:outputText 
                                                value="#{percepcionesNominaPrepTable.rhNomnConceptoTO.nombreConcepto}" />
                                        </p:column>

                                        <p:column 
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.importeConcepto']}"
                                            style="width:25%; 
                                            font-size:small; 
                                            text-align:center">                                                                                              
                                            <h:outputText value="#{percepcionesNominaPrepTable.dbImporteConcepto}">
                                                <f:convertNumber currencyCode="MXN" 
                                                                 type="currency" />
                                            </h:outputText>
                                        </p:column>   

                                        <p:summaryRow>
                                            <p:column 
                                                colspan="#{subirArchivoMB.intColspanConceptos}" 
                                                style="text-align:right">

                                                <h:outputText value="Total:" />
                                            </p:column>

                                            <p:column>
                                                <h:outputText 
                                                    value="#{subirArchivoMB.dbTotalPercepcionesEmpleado}"
                                                    style="font-size: small">
                                                    <f:convertNumber 
                                                        type="currency" 
                                                        currencyCode="MXN" />
                                                </h:outputText>
                                            </p:column>
                                        </p:summaryRow>                                     

                                        <p:rowExpansion>                                         
                                            <h:panelGrid
                                                id="pnlDetalleArgumentosPercepcion1"
                                                cellpadding="5px"
                                                columns="1"                                            
                                                columnClasses="centered2"
                                                >

                                                <p:row>
                                                    <h:outputLabel 
                                                        for="nombreConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.nombreConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="nombreConcepto"  
                                                        value="#{subirArchivoMB.strNombreConcepto}"
                                                        style="text-align: left;
                                                        font-size:x-small;"
                                                        />                    
                                                </p:row>

                                                <p:row>
                                                    <h:outputLabel 
                                                        for="claveConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.claveConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="claveConcepto"  
                                                        value="#{subirArchivoMB.strClaveConcepto}"
                                                        style="text-align: left;
                                                        font-size: x-small;"
                                                        />                    
                                                </p:row>

                                                <p:row>
                                                    <h:outputLabel 
                                                        for="formulaConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.formulaConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="formulaConcepto"  
                                                        value="#{subirArchivoMB.strFormula} &nbsp; &nbsp; &nbsp;"
                                                        style="text-align: left;
                                                        font-size:x-small;"
                                                        /> 

                                                    <p:commandButton 
                                                        id="btnMostrarDesgloseDeducc"                     
                                                        value="Mostrar desglose" 
                                                        title="Mostrar desglose"                                                     
                                                        onclick="PF('dgMostrarDesglose').show()"
                                                        update="frMostrarDesglose"
                                                        styleClass="botonpequeno"
                                                        immediate="true"                                                   
                                                        style="display:inline;                                                            
                                                        font-size:x-small;"
                                                        rendered="#{subirArchivoMB.blVerDesglose}">
                                                    </p:commandButton>                                                 
                                                </p:row>

                                                <p:row>
                                                    <h:outputLabel 
                                                        for="importeConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.importeConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="importeConcepto"  
                                                        value="#{subirArchivoMB.dbImporte}"
                                                        style="text-align: left;
                                                        font-size: x-small;"
                                                        >
                                                        <f:convertNumber 
                                                            currencyCode="MXN" 
                                                            type="currency" />
                                                    </h:outputText>
                                                </p:row>                                                 

                                               

                                                                                               
                                            </h:panelGrid>                                                                                

                                            <h:panelGrid>
                                                <p:row>
                                                    <p:dataTable                                                    
                                                        widgetVar="tableArgumentosConceptoPercepcion1"
                                                        var="argumentosPercepcionNominaTable"                                                 
                                                        value="#{subirArchivoMB.lstArgumentos}"
                                                        rows="10"
                                                        scrollable="true" 
                                                        scrollWidth="99%"                                    
                                                        paginatorPosition="bottom" 
                                                        style="font-size: small; "                                                                                                                
                                                        emptyMessage="#{msg['inai.medios.common.noRecordsText']}">

                                                        <p:column                                                             
                                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreArgumento']}"
                                                            style="width:50%; 
                                                            font-size:x-small; 
                                                            text-align:center;">
                                                            <h:outputText 
                                                                value="#{argumentosPercepcionNominaTable.descripcion}" />
                                                        </p:column>                                                  

                                                        <p:column                                                             
                                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreFormulaArgumento']}"
                                                            style="width:50%; 
                                                            font-size:x-small; 
                                                            text-align:center;
                                                            ">
                                                            <h:outputText 
                                                                value="#{argumentosPercepcionNominaTable.nombre}" />
                                                        </p:column> 

                                                        <p:column                                                             
                                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.valorArgumento']}"
                                                            style="width:50%; 
                                                            font-size:x-small; 
                                                            text-align:center;
                                                            ">
                                                            <h:outputText 
                                                                value="#{argumentosPercepcionNominaTable.valor}" />
                                                        </p:column>                                                
                                                    </p:dataTable>
                                                </p:row>
                                            </h:panelGrid>
                                        </p:rowExpansion>                                                                        
                                    </p:dataTable>                               
                                </td>    

                                <td width="1%" />

                                <td width="50%">
                                    <p:dataTable 
                                        rowIndexVar="#{deduccionesNominaPrepTable.intIdConEmpEliminado}"                                    
                                        widgetVar="tableDeduccionesNominaPreparados"
                                        var="deduccionesNominaPrepTable"                                     
                                        paginator="true"                                                  
                                        value="#{subirArchivoMB.lstConptosEmpleElimDeducciones}"
                                        rows="5"
                                        paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                         
                                        scrollable="true" 
                                        scrollWidth="99%"                                    
                                        currentPageReportTemplate="Mostrando registro(s) del {startRecord} al {endRecord} de  {totalRecords} deducción(es) del empleado"
                                        paginatorPosition="bottom" 
                                        emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                                        style="width:150px;
                                        font-size: small"
                                        rowExpandMode="single"
                                        sortBy="#{deduccionesNominaPrepTable.strAgrupadorDeduccion}">                                   

                                        <f:facet name="header">
                                            Deducciones del empleado
                                        </f:facet>

                                        <p:ajax 
                                            event="rowToggle" 
                                            listener="#{subirArchivoMB.mostrarXML(deduccionesNominaPrepTable)}" />                                                                       

                                        <p:column 
                                            style="width:10px;
                                            font-size:small; 
                                            text-align:center"
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.detalleArgumentos']}">
                                            <div 
                                                onclick="validarWidgetDeducciones();"
                                                style="display: #{deduccionesNominaPrepTable.strVisualizarDetalle}" > 
                                                <p:rowToggler/>
                                            </div>
                                        </p:column>    

                                        <p:column 
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.claveConcepto']}"
                                            style="width:25%; 
                                            font-size:small; 
                                            text-align:center">                                               
                                            <h:outputText 
                                                value="#{deduccionesNominaPrepTable.rhNomnConceptoTO.claveConcepto}" />
                                        </p:column>                                     

                                        <p:column 
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreConcepto']}"
                                            style="width:40%; 
                                            font-size:small; 
                                            text-align:center">
                                            <h:outputText 
                                                value="#{deduccionesNominaPrepTable.rhNomnConceptoTO.nombreConcepto}" />
                                        </p:column>                                    

                                        <p:column 
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.importeConcepto']}"
                                            style="width:25%; 
                                            font-size:small; 
                                            text-align:center">                                               
                                            <h:outputText value="#{deduccionesNominaPrepTable.dbImporteConcepto}">
                                                <f:convertNumber 
                                                    currencyCode="MXN" 
                                                    type="currency" />
                                            </h:outputText>
                                        </p:column>  

                                        <p:summaryRow>
                                            <p:column 
                                                colspan="#{subirArchivoMB.intColspanConceptos}" 
                                                style="text-align:right">

                                                <h:outputText value="Total:" />
                                            </p:column>

                                            <p:column>
                                                <h:outputText 
                                                    value="#{subirArchivoMB.dbTotalDeduccionesEmpleado}"
                                                    style="font-size: small">
                                                    <f:convertNumber 
                                                        type="currency" 
                                                        currencyCode="MXN" />
                                                </h:outputText>
                                            </p:column>
                                        </p:summaryRow>                                      

                                        <p:rowExpansion> 
                                            <h:panelGrid 
                                                id="pnlDetalleArgumentosDeduccion"
                                                cellpadding="5px"
                                                columns="1"
                                                columnClasses="centered2"
                                                style=" position: relative;">
                                                <p:row>
                                                    <h:outputLabel 
                                                        for="nombreConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.nombreConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="nombreConcepto"  
                                                        value="#{subirArchivoMB.strNombreConcepto}"
                                                        style="text-align: left;
                                                        font-size: x-small;"/>                    
                                                </p:row>


                                                <p:row>
                                                    <h:outputLabel 
                                                        for="claveConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.claveConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="claveConcepto"  
                                                        value="#{subirArchivoMB.strClaveConcepto}"
                                                        style="text-align: left;
                                                        font-size: x-small;"/>                    
                                                </p:row>


                                                <p:row>
                                                    <h:outputLabel 
                                                        for="formulaConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.formulaConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="formulaConcepto"  
                                                        value="#{subirArchivoMB.strFormula} &nbsp; &nbsp; &nbsp;"
                                                        style="text-align: left;
                                                        font-size: x-small;"/> 

                                                    <p:commandButton 
                                                        id="btnMostrarDesgloseDeducc"                     
                                                        value="Mostrar desglose" 
                                                        title="Mostrar desglose"                                                     
                                                        onclick="PF('dgMostrarDesglose').show()"
                                                        update="frMostrarDesglose"
                                                        styleClass="botonpequeno"
                                                        immediate="true"                                                   
                                                        style="display:inline;                                                            
                                                        font-size:x-small;"
                                                        rendered="#{subirArchivoMB.blVerDesglose}">
                                                    </p:commandButton>                                                  
                                                </p:row>


                                                <p:row>
                                                    <h:outputLabel 
                                                        for="importeConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.importeConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="importeConcepto"  
                                                        value="#{subirArchivoMB.dbImporte}"
                                                        style="text-align: left;
                                                        font-size: x-small;">
                                                        <f:convertNumber 
                                                            currencyCode="MXN" 
                                                            type="currency" />
                                                    </h:outputText>
                                                </p:row>  
                                            </h:panelGrid>

                                            <h:panelGrid>
                                                <p:row>
                                                    <p:dataTable                                                    
                                                        widgetVar="tableArgumentosConceptoDeduccion"
                                                        var="argumentosDeduccionNominaTable"                                                 
                                                        value="#{subirArchivoMB.lstArgumentos}"
                                                        rows="10"
                                                        scrollable="true" 
                                                        scrollWidth="99%"                                    
                                                        style="font-size: small"
                                                        emptyMessage="#{msg['inai.medios.common.noRecordsText']}">

                                                        <p:column                                                             
                                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreArgumento']}"
                                                            style="width:50%; 
                                                            font-size:x-small; 
                                                            text-align:center;
                                                            ">
                                                            <h:outputText 
                                                                value="#{argumentosDeduccionNominaTable.descripcion}" />
                                                        </p:column>                                                  

                                                        <p:column                                                             
                                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreFormulaArgumento']}"
                                                            style="width:50%; 
                                                            font-size:x-small; 
                                                            text-align:center;
                                                            ">
                                                            <h:outputText 
                                                                value="#{argumentosDeduccionNominaTable.nombre}" />
                                                        </p:column> 

                                                        <p:column                                                             
                                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.valorArgumento']}"
                                                            style="width:50%; 
                                                            font-size:x-small; 
                                                            text-align:center;
                                                            ">
                                                            <h:outputText 
                                                                value="#{argumentosDeduccionNominaTable.valor}" />
                                                        </p:column>                                                
                                                    </p:dataTable>
                                                </p:row>
                                            </h:panelGrid>
                                        </p:rowExpansion>                                                                         
                                    </p:dataTable>                                 
                                </td>
                            </tr>

                            <tr
                                id="trConceptosProvision"
                                align="center"
                                style="width: 1000px;
                                display: none">
                                <td 
                                    width="100%">
                                    <p:dataTable 
                                        rowIndexVar="#{provisionesNominaPrepTable.intIdConEmpEliminado}"
                                        widgetVar="tableProvisionesNominaPreparados"
                                        var="provisionesNominaPrepTable"                                     
                                        paginator="true"                                                  
                                        value="#{subirArchivoMB.lstConptosEmpleElimProvisiones}"
                                        rows="10"
                                        paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                                        currentPageReportTemplate="Mostrando registro(s) del {startRecord} al {endRecord} de  {totalRecords} provisiones(es) del empleado."
                                        paginatorPosition="bottom" 
                                        emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                                        style="width:700px; 
                                        font-size: small;"
                                        rowExpandMode="single"
                                        sortBy="#{provisionesNominaPrepTable.strAgrupadorProvision}">

                                        <f:facet name="header">
                                            Provisiones del empleado
                                        </f:facet>

                                        <p:ajax 
                                            event="rowToggle" 
                                            listener="#{subirArchivoMB.mostrarXML(provisionesNominaPrepTable)}" />                                    

                                        <p:column 
                                            style="width:10%;
                                            font-size:small; 
                                            text-align:center"
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.detalleArgumentos']}">
                                            <div                                            
                                                onclick="validarWidgetProvisiones();"
                                                style="display: #{provisionesNominaPrepTable.strVisualizarDetalle}" > 
                                                <p:rowToggler/>
                                            </div>
                                        </p:column>                                     

                                        <p:column 
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.claveConcepto']}"
                                            style="width:15%; 
                                            font-size:small; 
                                            text-align:center">
                                            <h:outputText 
                                                value="#{provisionesNominaPrepTable.rhNomnConceptoTO.claveConcepto}" />
                                        </p:column>

                                        <p:column 
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreConcepto']}"
                                            style="width:40%;  
                                            font-size:small; 
                                            text-align:center">                                               
                                            <h:outputText 
                                                value="#{provisionesNominaPrepTable.rhNomnConceptoTO.nombreConcepto}" />
                                        </p:column>

                                        <p:column 
                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.importeConcepto']}"
                                            style="width:15%; 
                                            font-size:small; 
                                            text-align:center">                                                                                              
                                            <h:outputText value="#{provisionesNominaPrepTable.dbImporteConcepto}">
                                                <f:convertNumber currencyCode="MXN" 
                                                                 type="currency" />
                                            </h:outputText>
                                        </p:column>   

                                        <p:summaryRow>
                                            <p:column 
                                                colspan="#{subirArchivoMB.intColspanConceptos}" 
                                                style="text-align:right">

                                                <h:outputText value="Total:" />
                                            </p:column>

                                            <p:column>
                                                <h:outputText 
                                                    value="#{subirArchivoMB.dbTotalProvisionesEmpleado}"
                                                    style="font-size: small">
                                                    <f:convertNumber 
                                                        type="currency" 
                                                        currencyCode="MXN" />
                                                </h:outputText>
                                            </p:column>
                                        </p:summaryRow>                                     

                                        <p:rowExpansion>                                         
                                            <h:panelGrid
                                                id="pnlDetalleArgumentosProvision"
                                                cellpadding="5px"
                                                columns="1"                                            
                                                columnClasses="centered2"
                                                style="position: relative;">

                                                <p:row>
                                                    <h:outputLabel 
                                                        for="nombreConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.nombreConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="nombreConcepto"  
                                                        value="#{subirArchivoMB.strNombreConcepto}"
                                                        style="text-align: left;
                                                        font-size: x-small;"/>                    
                                                </p:row>

                                                <p:row>
                                                    <h:outputLabel 
                                                        for="claveConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.claveConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="claveConcepto"  
                                                        value="#{subirArchivoMB.strClaveConcepto}"
                                                        style="text-align: left;
                                                        font-size: x-small;"/>                    
                                                </p:row>

                                                <p:row>
                                                    <h:outputLabel 
                                                        for="formulaConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.formulaConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="formulaConcepto"  
                                                        value="#{subirArchivoMB.strFormula} &nbsp; &nbsp; &nbsp;"
                                                        style="text-align: left;
                                                        font-size: x-small;"/> 

                                                    <p:commandButton 
                                                        id="btnMostrarDesgloseProvi"                     
                                                        value="Mostrar desglose" 
                                                        title="Mostrar desglose"                                                     
                                                        onclick="PF('dgMostrarDesglose').show()"
                                                        update="frMostrarDesglose"
                                                        styleClass="botonpequeno"
                                                        immediate="true"                                                   
                                                        style="display:inline;                                                            
                                                        font-size:x-small;"
                                                        rendered="#{subirArchivoMB.blVerDesglose}">
                                                    </p:commandButton>                                                 
                                                </p:row>

                                                <p:row>
                                                    <h:outputLabel 
                                                        for="importeConcepto" 
                                                        value="#{translatedMessage['restricted.nomina.calculaNomina.importeConcepto']}: "
                                                        style="font-weight:bold;
                                                        text-align: left;
                                                        font-size: x-small;"/>                    

                                                    <h:outputText 
                                                        id="importeConcepto"  
                                                        value="#{subirArchivoMB.dbImporte}"
                                                        style="text-align: left;
                                                        font-size: x-small;">
                                                        <f:convertNumber 
                                                            currencyCode="MXN" 
                                                            type="currency" />
                                                    </h:outputText>
                                                </p:row>                                                                                                     
                                            </h:panelGrid>                                                                                

                                            <h:panelGrid>
                                                <p:row>
                                                    <p:dataTable                                                    
                                                        widgetVar="tableArgumentosConceptoProvision"
                                                        var="argumentosProvisionNominaTable"                                                 
                                                        value="#{subirArchivoMB.lstArgumentos}"
                                                        rows="10"
                                                        scrollable="true" 
                                                        scrollWidth="99%"                                    
                                                        style="width: 90%;
                                                        font-size: small;
                                                        "
                                                        emptyMessage="#{msg['inai.medios.common.noRecordsText']}">

                                                        <p:column                                                             
                                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreArgumento']}"
                                                            style="width:50%; 
                                                            font-size:x-small; 
                                                            text-align:center;
                                                            ">
                                                            <h:outputText 
                                                                value="#{argumentosProvisionNominaTable.descripcion}" />
                                                        </p:column>                                                  

                                                        <p:column                                                             
                                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.nombreFormulaArgumento']}"
                                                            style="width:50%; 
                                                            font-size:x-small; 
                                                            text-align:center;
                                                            ">
                                                            <h:outputText 
                                                                value="#{argumentosProvisionNominaTable.nombre}" />
                                                        </p:column> 

                                                        <p:column                                                             
                                                            headerText="#{translatedMessage['restricted.nomina.calculaNomina.valorArgumento']}"
                                                            style="width:50%; 
                                                            font-size:x-small; 
                                                            text-align:center;
                                                            ">
                                                            <h:outputText 
                                                                value="#{argumentosProvisionNominaTable.valor}" />
                                                        </p:column>                                                
                                                    </p:dataTable>
                                                </p:row>
                                            </h:panelGrid>
                                        </p:rowExpansion>                                     
                                    </p:dataTable>
                                </td>                            
                            </tr>  

                            <tr>
                                <td colspan="3" width="100%">
                                    <h:panelGrid columns="1" columnClasses="netoEt" style="border-style: hidden !important; background: none; ">
                                        <p:column>
                                            <h:outputText style="" value="Total neto:  " />
                                            <h:outputText value="#{subirArchivoMB.dbTotalPercepcionesEmpleado - subirArchivoMB.dbTotalDeduccionesEmpleado}"
                                                          style="font-size: small; "
                                                          >
                                                <f:convertNumber 
                                                    type="currency" 
                                                    currencyCode="MXN"
                                                    maxFractionDigits="2"
                                                    />
                                            </h:outputText>
                                        </p:column>
                                    </h:panelGrid>
                                </td>


                            </tr>
                        </table>
                    </div>
                    
                      <br/>                    
                </p:rowExpansion>     
                    
                 </p:dataTable>   
                    </div>
                </p:tab>
            </p:tabView>


            <p:commandButton 
                id="btnRegresar" 
                value="Regresar" 
                title="Regresar"
                class="btnRegresar"
                process="@(.btnRegresar)"
                style="font-size: 70%; float: right;                                        
                text-align:center"
                actionListener="#{subirArchivoMB.cerrar()}" />
        </h:form>
        
        <p:dialog 
            widgetVar="dgMostrarMovEmpleado"             
            resizable="true"  
            modal="false" 
            draggable="true"  
            width="950"
            height="380"
            header="Mostrar los movimientos del empleado." 
            appendTo="@(body)"
            closable="false"> 

            <p:outputPanel>                
                <h:form id="frMovEmpleado" class="frMovEmpleado">   
                    <div>
                        <table>
                            <tr>
                                <td align="right">
                                    #{subirArchivoMB.strNombreEmpleadoMovimientos}
                                </td>
                            </tr>
                        </table>
                    </div>

                    <div>
                        <table width="100%">
                            <tr>
                                <td>
                                    <p:dataTable id="tblMovEmpleado" 
                                                 var="movimientosEmpleado"                                                       
                                                 paginator="true"                                                  
                                                 value="#{subirArchivoMB.lstMovsInstituto}"
                                                 rows="5"
                                                 rowKey="#{movimientosEmpleado.accion.idAccion}"
                                                 paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                                                 scrollable="true" 
                                                 scrollWidth="99%"
                                                 rowsPerPageTemplate="5,10,15"
                                                 currentPageReportTemplate="Mostrando movimientos del empleado del {startRecord} al {endRecord} de {totalRecords}."
                                                 paginatorPosition="bottom" 
                                                 emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                                                 style="font-size:small;">

                                        <p:column 
                                            headerText="Movimiento"
                                            style="width:12%;
                                            font-size:small;">

                                            <h:outputText value="#{movimientosEmpleado.accion.nombreCorto}" />
                                        </p:column>

                                        <p:column 
                                            headerText="Puesto"
                                            style="width:35%;
                                            font-size:small;">

                                            <h:outputText value="#{movimientosEmpleado.puesto}" />
                                        </p:column>

                                        <p:column 
                                            headerText="Fecha de Inicio"
                                            style="width:15%;
                                            font-size:small;">                                            

                                            <h:outputText value="#{movimientosEmpleado.fechaInicio}">
                                                <f:convertDateTime pattern = "dd/MMM/yyyy" 
                                                                   timeZone="America/Mexico_City" />
                                            </h:outputText>
                                        </p:column>

                                        <p:column 
                                            headerText="Fecha de Final"
                                            style="width:15%;
                                            font-size:small;"> 

                                            <h:outputText value="#{movimientosEmpleado.fechaFinal}" >
                                                <f:convertDateTime pattern = "dd/MMM/yyyy" 
                                                                   timeZone="America/Mexico_City" />
                                            </h:outputText>
                                        </p:column>

                                        <p:column 
                                            headerText="Sueldo"
                                            style="width:10%;
                                            font-size:small;">

                                            <h:outputText value="#{movimientosEmpleado.sueldo}" />
                                        </p:column>

                                        <p:column 
                                            headerText="Compensación Garantizada"
                                            style="width:13%;
                                            font-size:small;">                                            

                                            <h:outputText value="#{movimientosEmpleado.compGarantizada}" />
                                        </p:column>
                                    </p:dataTable>                                    
                                </td>
                            </tr>

                            <br/>

                            <tr>
                                <td align="right">
                                    <p:commandButton  
                                        id="btnCerrar"  
                                        value="Cerrar"                                          
                                        onclick="PF('dgMostrarMovEmpleado').hide();"
                                                                               
                                        style="display:inline;                                                 
                                        font-size:small;"/>                                                                              
                                </td>                                
                            </tr>
                        </table>
                    </div>
                </h:form>                
            </p:outputPanel>            
        </p:dialog>        
        
        
         <p:dialog 
            widgetVar="dgMostrarDesglose" 
            resizable="false"  
            modal="true" 
            draggable="false"  
            width="570"
            height="420"
            header="Detalle del desglose" 
            appendTo="@(body)"
            closable="false"> 

            <p:outputPanel>                
                <h:form id="frMostrarDesglose">                    
                    <p:inputTextarea 
                        rows="15" 
                        cols="60" 
                        scrollHeight="55" 
                        autoResize="false"
                        value="#{subirArchivoMB.strDesglose}"/>                    

                    <br></br>

                    <p:commandButton  
                        id="btnCerrar"  
                        value="Cerrar"  
                        onclick="PF('dgMostrarDesglose').hide();">                                          
                    </p:commandButton>
                </h:form>                
            </p:outputPanel>            
        </p:dialog>
        
        
        
        
        

        
          <p:dialog widgetVar="dgAguinaldo"
                  class="dgAguinaldo"
                  appendTo="@(body)" 
                  draggable="true"
                  closable="false"
                  resizable="false"
                  modal="true"
                  header="#{subirArchivoMB.headerAguinaldos}"
                  width="70%"
                  style="max-height: 70%; overflow: auto;"
                  >
            <h:form>
                <p:outputPanel styleClass="centered7" style="width: 99% !important">
                    <p:dataTable 
                        value="#{subirArchivoMB.lstNominasEmpleado}"
                        var="tablaAguinaldos"                 
                        paginator="true"                                         
                        rows="4"  
                        paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                         
                        scrollable="true" 
                        rowsPerPageTemplate="4,8,12"
                        currentPageReportTemplate="Mostrando Aguinaldos del {startRecord} al {endRecord} de {totalRecords}."
                        paginatorPosition="bottom"                 
                        emptyMessage="#{msg['inai.medios.common.noRecordsText']}"
                        style="font-size: small; width: 100%;"
                        >
                        <p:column headerText="Quincena">
                            <p:outputLabel value="#{tablaAguinaldos['QUINCENA']}" />
                        </p:column>

                        <p:column headerText="Puesto">
                            <p:outputLabel value="#{tablaAguinaldos['PUESTO']}" />
                        </p:column>
                        <p:column headerText="Tipo Aguinaldo">
                            <p:outputLabel value="#{tablaAguinaldos['TIPO_AGUINALDO']}" />
                        </p:column>
                        <p:column headerText="Importe">                            
                            <h:outputText value="#{tablaAguinaldos['IMPORTE_QUINCENAL']}">
                                <f:convertNumber currencyCode="MXN" 
                                                 type="currency" />
                            </h:outputText>
                        </p:column>   
                        <p:column headerText="Dias Aguinaldo">
                            <p:outputLabel value="#{tablaAguinaldos['DIAS_AGUINALDO']}" />
                        </p:column>
                    </p:dataTable>

                </p:outputPanel>

                <div style="text-align: right; margin-top: 15px; margin-right: 20px;">
                    <p:commandButton value="Cerrar" 
                                     oncomplete="PF('dgAguinaldo').hide()" 
                                     ajax="true" 
                                     style="display:inline; font-size:small;"
                                     />
                </div>

                <div style="align-content: center;" >    
                    <ui:include src="../../rh/seguros/Reportes/viewDialog.xhtml" />

                </div>
            </h:form>
        </p:dialog>

        
        
        
         <script>
            window.onload = function () {
                darClic();
            };

            function darClic() {
                jQuery('[id*=btnAgregarMensajeContext]').trigger('click');
            }
            ;

            function nada() {
                console.log("nada");
            }
            ;

            function validarWidgetPercepciones1() {
                if (PrimeFaces.widgets['tablePercepcionesNominaPreparados1']) {

                    //widgetVar does exist
                    rowExpansion(PF('tablePercepcionesNominaPreparados1'));
                } else {
                    console.log("fallo");
                }
            }
            ;

            function validarWidgetPercepciones2() {
                if (PrimeFaces.widgets['tablePercepcionesNominaPreparados2']) {

                    //widgetVar does exist
                    rowExpansion(PF('tablePercepcionesNominaPreparados2'));
                } else {
                    console.log("fallo");
                }
            }
            ;

            function validarWidgetDeducciones() {
                if (PrimeFaces.widgets['tableDeduccionesNominaPreparados']) {

                    //widgetVar does exist
                    rowExpansion(PF('tableDeduccionesNominaPreparados'));
                } else {
                    console.log("fallo");
                }
            }
            ;

            function validarWidgetProvisiones() {
                if (PrimeFaces.widgets['tableProvisionesNominaPreparados']) {

                    //widgetVar does exist
                    rowExpansion(PF('tableProvisionesNominaPreparados'));
                } else {
                    console.log("fallo");
                }
            }
            ;

            function rowExpansion(dataTable) {

                //dataTable should be the widgetVar object
                var $this = dataTable;

                //add the 'hand' when hovering on row
                $this.tbody.children('tr').css('cursor', 'pointer');
                $this.tbody.off('click.datatable-expansion', '> tr')
                        .on('click.datatable-expansion', '> tr', null, function () {

                            //toggle the current row the old toggler
                            $this.toggleExpansion($(this).find('div.ui-row-toggler'));
                        }
                        );
            }

            function cambiarConceptosVista() {


                if ((document.getElementById('trConceptosProvision').style.display === 'none')) {

                    document.getElementById('trConceptosNomina').style.display = 'none';
                    document.getElementById('trConceptosProvision').style.display = 'block';
                } else if ((document.getElementById('trConceptosProvision').style.display === 'block')) {

                    document.getElementById('trConceptosNomina').removeAttribute("style"); 
                    document.getElementById('trConceptosProvision').style.display = 'none';
                }
            }
        </script>        
    </ui:define>

</ui:composition>